Bug 57817 - ark - Spaces in extraction path are not accepted.
Summary: ark - Spaces in extraction path are not accepted.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdeutils
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: FC3BugWeekTracker
TreeView+ depends on / blocked
 
Reported: 2001-12-24 20:34 UTC by A. Miklas
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-27 19:04:24 UTC


Attachments (Terms of Use)

Description A. Miklas 2001-12-24 20:34:12 UTC
Description of Problem:
This bug concerns ark, the kde archiver.  If a space is included in any part of 
the extraction path, ark will claim that the path is invalid and refuse to extract 
the archive to the given path.

Version-Release number of selected component (if applicable):
2.2 Release 2

How Reproducible:
Always

Steps to Reproduce:
1. Open any archive in ark.
2. Choose a directory to extract to, such that there is a space at some point in 
the path.

Actual Results:
"Please provide a valid directory."
Putting quotes around the file also does not work.  This results in the error 
message:
"Ark cannot extract a file to a remote location.  Please provide a local valid 
directory."

Expected Results:
Ark should extract an archive to any folder specified, regardless of whether 
the path to the folder contains a space.

Additional Information:

Comment 1 Marcin Garski 2004-09-27 19:04:24 UTC
This bug has been fixed in upstream KDE:
http://bugs.kde.org/show_bug.cgi?id=33246
http://bugs.kde.org/show_bug.cgi?id=36504
http://bugs.kde.org/show_bug.cgi?id=39074

If the bug is still present in rawhide, please reopen.


Note You need to log in before you can comment on or make changes to this bug.